package dudu.matrix;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "dudu.matrix", "main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "dudu.matrix", "main");
        processBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static derez.libs.MatrixOp _mat = null;
public anywheresoftware.b4a.objects.ButtonWrapper _createbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _viewbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _readbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _savebtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _okbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _detbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _transbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _invbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _dotbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _divsbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _copybtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _mulmbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _mulsbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _addsbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _addmbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _subsbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _submbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _solvebtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _switchbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _controlbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _roundbtn = null;
public static double[][] _m = null;
public static double[][] _a = null;
public static double[][] _b = null;
public static double[][] _c = null;
public static double[] _va = null;
public static double[] _vb = null;
public static double[] _vx = null;
public anywheresoftware.b4a.objects.EditTextWrapper[][] _met = null;
public anywheresoftware.b4a.objects.EditTextWrapper[][] _aet = null;
public anywheresoftware.b4a.objects.EditTextWrapper[][] _bet = null;
public anywheresoftware.b4a.objects.EditTextWrapper[][] _cet = null;
public anywheresoftware.b4a.objects.EditTextWrapper _rowet = null;
public anywheresoftware.b4a.objects.EditTextWrapper _colet = null;
public anywheresoftware.b4a.objects.EditTextWrapper _ket = null;
public anywheresoftware.b4a.objects.EditTextWrapper _fileet = null;
public static int[] _matrows = null;
public static int[] _matcols = null;
public static int _mark = 0;
public anywheresoftware.b4a.objects.LabelWrapper _rowlbl = null;
public anywheresoftware.b4a.objects.LabelWrapper _collbl = null;
public anywheresoftware.b4a.objects.LabelWrapper _klbl = null;
public anywheresoftware.b4a.objects.PanelWrapper[] _mpanel = null;
public anywheresoftware.b4a.objects.PanelWrapper _controlpanel = null;
public anywheresoftware.b4a.objects.PanelWrapper _savepanel = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _arb = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _brb = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _crb = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 28;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 29;BA.debugLine="File.MakeDir(\"sdcard\",\"Matrix\")";
anywheresoftware.b4a.keywords.Common.File.MakeDir("sdcard","Matrix");
 //BA.debugLineNum = 30;BA.debugLine="mark =0";
_mark = (int)(0);
 //BA.debugLineNum = 31;BA.debugLine="M = a";
_m = _a;
 //BA.debugLineNum = 32;BA.debugLine="Met = Aet";
mostCurrent._met = mostCurrent._aet;
 //BA.debugLineNum = 33;BA.debugLine="init_views";
_init_views();
 //BA.debugLineNum = 34;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 251;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 253;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 247;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 249;BA.debugLine="End Sub";
return "";
}
public static String  _addmbtn_click() throws Exception{
 //BA.debugLineNum = 463;BA.debugLine="Sub addmbtn_Click";
 //BA.debugLineNum = 464;BA.debugLine="mat.AddM(matrows(0),matcols(0),a, b,c)";
_mat.AddM(_matrows[(int)(0)],_matcols[(int)(0)],_a,_b,_c);
 //BA.debugLineNum = 465;BA.debugLine="matrows(2) = matrows(0)";
_matrows[(int)(2)] = _matrows[(int)(0)];
 //BA.debugLineNum = 466;BA.debugLine="matcols(2) = matcols(0)";
_matcols[(int)(2)] = _matcols[(int)(0)];
 //BA.debugLineNum = 467;BA.debugLine="show_C";
_show_c();
 //BA.debugLineNum = 468;BA.debugLine="End Sub";
return "";
}
public static String  _addsbtn_click() throws Exception{
 //BA.debugLineNum = 433;BA.debugLine="Sub addsbtn_Click";
 //BA.debugLineNum = 434;BA.debugLine="mat.AddS(matrows(mark),matcols(mark),M, ket.Text, c)";
_mat.AddS(_matrows[_mark],_matcols[_mark],_m,(double)(Double.parseDouble(mostCurrent._ket.getText())),_c);
 //BA.debugLineNum = 435;BA.debugLine="matrows(2) = matrows(mark)";
_matrows[(int)(2)] = _matrows[_mark];
 //BA.debugLineNum = 436;BA.debugLine="matcols(2) = matcols(mark)";
_matcols[(int)(2)] = _matcols[_mark];
 //BA.debugLineNum = 437;BA.debugLine="show_C";
_show_c();
 //BA.debugLineNum = 438;BA.debugLine="End Sub";
return "";
}
public static String  _arb_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 413;BA.debugLine="Sub Arb_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 414;BA.debugLine="mark = 0";
_mark = (int)(0);
 //BA.debugLineNum = 415;BA.debugLine="Met = Aet";
mostCurrent._met = mostCurrent._aet;
 //BA.debugLineNum = 416;BA.debugLine="M = a";
_m = _a;
 //BA.debugLineNum = 417;BA.debugLine="End Sub";
return "";
}
public static String  _brb_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 419;BA.debugLine="Sub Brb_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 420;BA.debugLine="mark = 1";
_mark = (int)(1);
 //BA.debugLineNum = 421;BA.debugLine="Met = Bet";
mostCurrent._met = mostCurrent._bet;
 //BA.debugLineNum = 422;BA.debugLine="M = b";
_m = _b;
 //BA.debugLineNum = 423;BA.debugLine="End Sub";
return "";
}
public static String  _controlbtn_click() throws Exception{
int _i = 0;
 //BA.debugLineNum = 398;BA.debugLine="Sub controlbtn_Click";
 //BA.debugLineNum = 399;BA.debugLine="For i = 0 To 2";
{
final double step352 = 1;
final double limit352 = (int)(2);
for (_i = (int)(0); (step352 > 0 && _i <= limit352) || (step352 < 0 && _i >= limit352); _i += step352) {
 //BA.debugLineNum = 400;BA.debugLine="MPanel(i).Left = 1600";
mostCurrent._mpanel[_i].setLeft((int)(1600));
 }
};
 //BA.debugLineNum = 402;BA.debugLine="savepanel.Left = 1600";
mostCurrent._savepanel.setLeft((int)(1600));
 //BA.debugLineNum = 403;BA.debugLine="controlpanel.Left = 0";
mostCurrent._controlpanel.setLeft((int)(0));
 //BA.debugLineNum = 404;BA.debugLine="load";
_load();
 //BA.debugLineNum = 405;BA.debugLine="End Sub";
return "";
}
public static String  _copybtn_click() throws Exception{
int _i = 0;
int _j = 0;
 //BA.debugLineNum = 561;BA.debugLine="Sub copybtn_Click";
 //BA.debugLineNum = 562;BA.debugLine="If mark = 2 Then Return";
if (_mark==2) { 
if (true) return "";};
 //BA.debugLineNum = 563;BA.debugLine="matrows(mark) = matrows(2)";
_matrows[_mark] = _matrows[(int)(2)];
 //BA.debugLineNum = 564;BA.debugLine="matcols(mark) = matcols(2)";
_matcols[_mark] = _matcols[(int)(2)];
 //BA.debugLineNum = 565;BA.debugLine="mat.CopyM(matrows(2),matcols(2),c,M)";
_mat.CopyM(_matrows[(int)(2)],_matcols[(int)(2)],_c,_m);
 //BA.debugLineNum = 566;BA.debugLine="hideall(mark)";
_hideall(_mark);
 //BA.debugLineNum = 567;BA.debugLine="For i = 0 To matrows(mark) - 1";
{
final double step495 = 1;
final double limit495 = (int)(_matrows[_mark]-1);
for (_i = (int)(0); (step495 > 0 && _i <= limit495) || (step495 < 0 && _i >= limit495); _i += step495) {
 //BA.debugLineNum = 568;BA.debugLine="For j = 0 To matcols(mark) -1";
{
final double step496 = 1;
final double limit496 = (int)(_matcols[_mark]-1);
for (_j = (int)(0); (step496 > 0 && _j <= limit496) || (step496 < 0 && _j >= limit496); _j += step496) {
 //BA.debugLineNum = 569;BA.debugLine="Met(i,j).Text = M(i,j)";
mostCurrent._met[_i][_j].setText((Object)(_m[_i][_j]));
 //BA.debugLineNum = 570;BA.debugLine="Met(i,j).Visible = True";
mostCurrent._met[_i][_j].setVisible(anywheresoftware.b4a.keywords.Common.True);
 }
};
 }
};
 //BA.debugLineNum = 573;BA.debugLine="show_C";
_show_c();
 //BA.debugLineNum = 574;BA.debugLine="End Sub";
return "";
}
public static String  _crb_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 425;BA.debugLine="Sub Crb_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 426;BA.debugLine="mark = 2";
_mark = (int)(2);
 //BA.debugLineNum = 427;BA.debugLine="Met = Cet";
mostCurrent._met = mostCurrent._cet;
 //BA.debugLineNum = 428;BA.debugLine="M = c";
_m = _c;
 //BA.debugLineNum = 429;BA.debugLine="End Sub";
return "";
}
public static String  _create_click() throws Exception{
int _i = 0;
int _j = 0;
 //BA.debugLineNum = 257;BA.debugLine="Sub create_click     ' creates a matrix of size by the values of row and col";
 //BA.debugLineNum = 258;BA.debugLine="If rowet.Text < 1 OR rowet.text > 9 OR colet.Text < 1 OR colet.Text > 9 Then Return";
if ((double)(Double.parseDouble(mostCurrent._rowet.getText()))<1 || (double)(Double.parseDouble(mostCurrent._rowet.getText()))>9 || (double)(Double.parseDouble(mostCurrent._colet.getText()))<1 || (double)(Double.parseDouble(mostCurrent._colet.getText()))>9) { 
if (true) return "";};
 //BA.debugLineNum = 259;BA.debugLine="hideall(mark)";
_hideall(_mark);
 //BA.debugLineNum = 260;BA.debugLine="For i = 0 To rowet.text - 1";
{
final double step229 = 1;
final double limit229 = (int)((double)(Double.parseDouble(mostCurrent._rowet.getText()))-1);
for (_i = (int)(0); (step229 > 0 && _i <= limit229) || (step229 < 0 && _i >= limit229); _i += step229) {
 //BA.debugLineNum = 261;BA.debugLine="For j = 0 To colet.Text - 1";
{
final double step230 = 1;
final double limit230 = (int)((double)(Double.parseDouble(mostCurrent._colet.getText()))-1);
for (_j = (int)(0); (step230 > 0 && _j <= limit230) || (step230 < 0 && _j >= limit230); _j += step230) {
 //BA.debugLineNum = 262;BA.debugLine="Met(i,j).Text = 0   ' Met is representing Aet or Bet or Cet according to the radiobuttons";
mostCurrent._met[_i][_j].setText((Object)(0));
 //BA.debugLineNum = 263;BA.debugLine="Met(i,j).Visible = True";
mostCurrent._met[_i][_j].setVisible(anywheresoftware.b4a.keywords.Common.True);
 }
};
 }
};
 //BA.debugLineNum = 266;BA.debugLine="For i = 0 To 2";
{
final double step235 = 1;
final double limit235 = (int)(2);
for (_i = (int)(0); (step235 > 0 && _i <= limit235) || (step235 < 0 && _i >= limit235); _i += step235) {
 //BA.debugLineNum = 267;BA.debugLine="If i = mark Then";
if (_i==_mark) { 
 //BA.debugLineNum = 268;BA.debugLine="MPanel(i).Left = 0";
mostCurrent._mpanel[_i].setLeft((int)(0));
 //BA.debugLineNum = 269;BA.debugLine="matrows(i) = rowet.text";
_matrows[_i] = (int)(Double.parseDouble(mostCurrent._rowet.getText()));
 //BA.debugLineNum = 270;BA.debugLine="matcols(i) = colet.Text";
_matcols[_i] = (int)(Double.parseDouble(mostCurrent._colet.getText()));
 }else {
 //BA.debugLineNum = 272;BA.debugLine="MPanel(i).Left = 1600";
mostCurrent._mpanel[_i].setLeft((int)(1600));
 };
 }
};
 //BA.debugLineNum = 275;BA.debugLine="controlpanel.Left = 1600";
mostCurrent._controlpanel.setLeft((int)(1600));
 //BA.debugLineNum = 276;BA.debugLine="End Sub";
return "";
}
public static String  _detbtn_click() throws Exception{
 //BA.debugLineNum = 542;BA.debugLine="Sub detbtn_Click";
 //BA.debugLineNum = 543;BA.debugLine="ket.text = mat.Determinant(matrows(mark),M)";
mostCurrent._ket.setText((Object)(_mat.Determinant(_matrows[_mark],_m)));
 //BA.debugLineNum = 544;BA.debugLine="End Sub";
return "";
}
public static String  _divsbtn_click() throws Exception{
 //BA.debugLineNum = 454;BA.debugLine="Sub divsbtn_Click";
 //BA.debugLineNum = 455;BA.debugLine="mat.DivS(matrows(mark),matcols(mark),M, ket.Text, c)";
_mat.DivS(_matrows[_mark],_matcols[_mark],_m,(double)(Double.parseDouble(mostCurrent._ket.getText())),_c);
 //BA.debugLineNum = 456;BA.debugLine="matrows(2) = matrows(mark)";
_matrows[(int)(2)] = _matrows[_mark];
 //BA.debugLineNum = 457;BA.debugLine="matcols(2) = matcols(mark)";
_matcols[(int)(2)] = _matcols[_mark];
 //BA.debugLineNum = 458;BA.debugLine="show_C";
_show_c();
 //BA.debugLineNum = 459;BA.debugLine="End Sub";
return "";
}
public static String  _dotbtn_click() throws Exception{
int _i = 0;
 //BA.debugLineNum = 484;BA.debugLine="Sub dotbtn_Click";
 //BA.debugLineNum = 485;BA.debugLine="For i = 0 To matrows(0) -1";
{
final double step422 = 1;
final double limit422 = (int)(_matrows[(int)(0)]-1);
for (_i = (int)(0); (step422 > 0 && _i <= limit422) || (step422 < 0 && _i >= limit422); _i += step422) {
 //BA.debugLineNum = 486;BA.debugLine="va(i) = a(i,0)";
_va[_i] = _a[_i][(int)(0)];
 //BA.debugLineNum = 487;BA.debugLine="vb(i) = b(i,0)";
_vb[_i] = _b[_i][(int)(0)];
 }
};
 //BA.debugLineNum = 489;BA.debugLine="ket.Text = mat.DotV(matrows(0),va, vb)";
mostCurrent._ket.setText((Object)(_mat.DotV(_matrows[(int)(0)],_va,_vb)));
 //BA.debugLineNum = 490;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 8;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 10;BA.debugLine="Dim createbtn, viewbtn, readbtn, savebtn, okbtn  As Button";
mostCurrent._createbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._viewbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._readbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._savebtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._okbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 11;BA.debugLine="Dim detbtn,transbtn,invbtn,dotbtn,divsbtn,copybtn,mulmbtn,mulsbtn,addsbtn,addmbtn,subsbtn,submbtn,solvebtn,switchbtn, controlbtn, roundbtn As Button";
mostCurrent._detbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._transbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._invbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._dotbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._divsbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._copybtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._mulmbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._mulsbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._addsbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._addmbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._subsbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._submbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._solvebtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._switchbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._controlbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._roundbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 13;BA.debugLine="Dim M(0,0), a(9,9), b(9,9), c(9,9), va(9),vb(9),vx(9) As Double";
_m = new double[(int)(0)][];
{
int d0 = _m.length;
int d1 = (int)(0);
for (int i0 = 0;i0 < d0;i0++) {
_m[i0] = new double[d1];
}
}
;
_a = new double[(int)(9)][];
{
int d0 = _a.length;
int d1 = (int)(9);
for (int i0 = 0;i0 < d0;i0++) {
_a[i0] = new double[d1];
}
}
;
_b = new double[(int)(9)][];
{
int d0 = _b.length;
int d1 = (int)(9);
for (int i0 = 0;i0 < d0;i0++) {
_b[i0] = new double[d1];
}
}
;
_c = new double[(int)(9)][];
{
int d0 = _c.length;
int d1 = (int)(9);
for (int i0 = 0;i0 < d0;i0++) {
_c[i0] = new double[d1];
}
}
;
_va = new double[(int)(9)];
;
_vb = new double[(int)(9)];
;
_vx = new double[(int)(9)];
;
 //BA.debugLineNum = 15;BA.debugLine="Dim Met(0,0), Aet(9,9), Bet(9,9),Cet(9,9), rowet,colet, ket, fileet As EditText";
mostCurrent._met = new anywheresoftware.b4a.objects.EditTextWrapper[(int)(0)][];
{
int d0 = mostCurrent._met.length;
int d1 = (int)(0);
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._met[i0] = new anywheresoftware.b4a.objects.EditTextWrapper[d1];
for (int i1 = 0;i1 < d1;i1++) {
mostCurrent._met[i0][i1] = new anywheresoftware.b4a.objects.EditTextWrapper();
}
}
}
;
mostCurrent._aet = new anywheresoftware.b4a.objects.EditTextWrapper[(int)(9)][];
{
int d0 = mostCurrent._aet.length;
int d1 = (int)(9);
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._aet[i0] = new anywheresoftware.b4a.objects.EditTextWrapper[d1];
for (int i1 = 0;i1 < d1;i1++) {
mostCurrent._aet[i0][i1] = new anywheresoftware.b4a.objects.EditTextWrapper();
}
}
}
;
mostCurrent._bet = new anywheresoftware.b4a.objects.EditTextWrapper[(int)(9)][];
{
int d0 = mostCurrent._bet.length;
int d1 = (int)(9);
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._bet[i0] = new anywheresoftware.b4a.objects.EditTextWrapper[d1];
for (int i1 = 0;i1 < d1;i1++) {
mostCurrent._bet[i0][i1] = new anywheresoftware.b4a.objects.EditTextWrapper();
}
}
}
;
mostCurrent._cet = new anywheresoftware.b4a.objects.EditTextWrapper[(int)(9)][];
{
int d0 = mostCurrent._cet.length;
int d1 = (int)(9);
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._cet[i0] = new anywheresoftware.b4a.objects.EditTextWrapper[d1];
for (int i1 = 0;i1 < d1;i1++) {
mostCurrent._cet[i0][i1] = new anywheresoftware.b4a.objects.EditTextWrapper();
}
}
}
;
mostCurrent._rowet = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._colet = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._ket = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._fileet = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 17;BA.debugLine="Dim matrows(3), matcols(3), mark  As Int";
_matrows = new int[(int)(3)];
;
_matcols = new int[(int)(3)];
;
_mark = 0;
 //BA.debugLineNum = 19;BA.debugLine="Dim rowlbl, collbl, klbl As Label";
mostCurrent._rowlbl = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._collbl = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._klbl = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim MPanel(3) , controlpanel, savepanel As Panel";
mostCurrent._mpanel = new anywheresoftware.b4a.objects.PanelWrapper[(int)(3)];
{
int d0 = mostCurrent._mpanel.length;
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._mpanel[i0] = new anywheresoftware.b4a.objects.PanelWrapper();
}
}
;
mostCurrent._controlpanel = new anywheresoftware.b4a.objects.PanelWrapper();
mostCurrent._savepanel = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Dim Arb, Brb, Crb As RadioButton";
mostCurrent._arb = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
mostCurrent._brb = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
mostCurrent._crb = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 25;BA.debugLine="End Sub";
return "";
}
public static String  _hideall(int _p) throws Exception{
int _i = 0;
 //BA.debugLineNum = 370;BA.debugLine="Sub hideall(p As Int)";
 //BA.debugLineNum = 371;BA.debugLine="For i = 0 To MPanel(p).NumberOfViews - 1";
{
final double step327 = 1;
final double limit327 = (int)(mostCurrent._mpanel[_p].getNumberOfViews()-1);
for (_i = (int)(0); (step327 > 0 && _i <= limit327) || (step327 < 0 && _i >= limit327); _i += step327) {
 //BA.debugLineNum = 372;BA.debugLine="MPanel(p).GetView(i).Visible = False";
mostCurrent._mpanel[_p].GetView(_i).setVisible(anywheresoftware.b4a.keywords.Common.False);
 }
};
 //BA.debugLineNum = 374;BA.debugLine="End Sub";
return "";
}
public static String  _init_views() throws Exception{
int _i = 0;
int _j = 0;
 //BA.debugLineNum = 36;BA.debugLine="Sub init_views";
 //BA.debugLineNum = 37;BA.debugLine="For i = 0 To 2";
{
final double step21 = 1;
final double limit21 = (int)(2);
for (_i = (int)(0); (step21 > 0 && _i <= limit21) || (step21 < 0 && _i >= limit21); _i += step21) {
 //BA.debugLineNum = 38;BA.debugLine="MPanel(i).Initialize(\"\")";
mostCurrent._mpanel[_i].Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 39;BA.debugLine="Activity.AddView(MPanel(i),1600,0,90%x,100%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._mpanel[_i].getObject()),(int)(1600),(int)(0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(90),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(100),mostCurrent.activityBA));
 }
};
 //BA.debugLineNum = 41;BA.debugLine="controlpanel.Initialize(\"\")";
mostCurrent._controlpanel.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 42;BA.debugLine="Activity.AddView(controlpanel,0,0,90%x,100%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._controlpanel.getObject()),(int)(0),(int)(0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(90),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(100),mostCurrent.activityBA));
 //BA.debugLineNum = 43;BA.debugLine="For i = 0 To 8";
{
final double step27 = 1;
final double limit27 = (int)(8);
for (_i = (int)(0); (step27 > 0 && _i <= limit27) || (step27 < 0 && _i >= limit27); _i += step27) {
 //BA.debugLineNum = 44;BA.debugLine="For j = 0 To 8";
{
final double step28 = 1;
final double limit28 = (int)(8);
for (_j = (int)(0); (step28 > 0 && _j <= limit28) || (step28 < 0 && _j >= limit28); _j += step28) {
 //BA.debugLineNum = 45;BA.debugLine="a(i,j) = 0";
_a[_i][_j] = 0;
 //BA.debugLineNum = 46;BA.debugLine="b(i,j) = 0";
_b[_i][_j] = 0;
 //BA.debugLineNum = 47;BA.debugLine="c(i,j) = 0";
_c[_i][_j] = 0;
 //BA.debugLineNum = 48;BA.debugLine="Aet(i,j).Initialize(\"\")";
mostCurrent._aet[_i][_j].Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 49;BA.debugLine="Bet(i,j).Initialize(\"\")";
mostCurrent._bet[_i][_j].Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 50;BA.debugLine="Cet(i,j).Initialize(\"\")";
mostCurrent._cet[_i][_j].Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 51;BA.debugLine="MPanel(0).AddView(Aet(i,j),0.5%x + j*10%x,0.5%y+ i*10%y,9%x,9%y)";
mostCurrent._mpanel[(int)(0)].AddView((android.view.View)(mostCurrent._aet[_i][_j].getObject()),(int)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(0.5),mostCurrent.activityBA)+_j*anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(10),mostCurrent.activityBA)),(int)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(0.5),mostCurrent.activityBA)+_i*anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(9),mostCurrent.activityBA));
 //BA.debugLineNum = 52;BA.debugLine="MPanel(1).AddView(Bet(i,j),0.5%x + j*10%x,0.5%y+ i*10%y,9%x,9%y)";
mostCurrent._mpanel[(int)(1)].AddView((android.view.View)(mostCurrent._bet[_i][_j].getObject()),(int)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(0.5),mostCurrent.activityBA)+_j*anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(10),mostCurrent.activityBA)),(int)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(0.5),mostCurrent.activityBA)+_i*anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(9),mostCurrent.activityBA));
 //BA.debugLineNum = 53;BA.debugLine="MPanel(2).AddView(Cet(i,j),0.5%x + j*10%x,0.5%y+ i*10%y,9%x,9%y)";
mostCurrent._mpanel[(int)(2)].AddView((android.view.View)(mostCurrent._cet[_i][_j].getObject()),(int)(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(0.5),mostCurrent.activityBA)+_j*anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(10),mostCurrent.activityBA)),(int)(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(0.5),mostCurrent.activityBA)+_i*anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(9),mostCurrent.activityBA));
 //BA.debugLineNum = 54;BA.debugLine="If Activity.Width < 850 Then";
if (mostCurrent._activity.getWidth()<850) { 
 //BA.debugLineNum = 55;BA.debugLine="Aet(i,j).TextSize = 12";
mostCurrent._aet[_i][_j].setTextSize((float)(12));
 //BA.debugLineNum = 56;BA.debugLine="Bet(i,j).TextSize = 12";
mostCurrent._bet[_i][_j].setTextSize((float)(12));
 //BA.debugLineNum = 57;BA.debugLine="Cet(i,j).TextSize = 12";
mostCurrent._cet[_i][_j].setTextSize((float)(12));
 }else {
 //BA.debugLineNum = 59;BA.debugLine="Aet(i,j).TextSize = 20";
mostCurrent._aet[_i][_j].setTextSize((float)(20));
 //BA.debugLineNum = 60;BA.debugLine="Bet(i,j).TextSize = 20";
mostCurrent._bet[_i][_j].setTextSize((float)(20));
 //BA.debugLineNum = 61;BA.debugLine="Cet(i,j).TextSize = 20";
mostCurrent._cet[_i][_j].setTextSize((float)(20));
 };
 //BA.debugLineNum = 63;BA.debugLine="Aet(i,j).Text = \"\"";
mostCurrent._aet[_i][_j].setText((Object)(""));
 //BA.debugLineNum = 64;BA.debugLine="Aet(i,j).InputType = Aet(i,j).INPUT_TYPE_DECIMAL_NUMBERS";
mostCurrent._aet[_i][_j].setInputType(mostCurrent._aet[_i][_j].INPUT_TYPE_DECIMAL_NUMBERS);
 //BA.debugLineNum = 65;BA.debugLine="Bet(i,j).Text = \"\"";
mostCurrent._bet[_i][_j].setText((Object)(""));
 //BA.debugLineNum = 66;BA.debugLine="Bet(i,j).InputType = Bet(i,j).INPUT_TYPE_DECIMAL_NUMBERS";
mostCurrent._bet[_i][_j].setInputType(mostCurrent._bet[_i][_j].INPUT_TYPE_DECIMAL_NUMBERS);
 //BA.debugLineNum = 67;BA.debugLine="Cet(i,j).Text = \"\"";
mostCurrent._cet[_i][_j].setText((Object)(""));
 //BA.debugLineNum = 68;BA.debugLine="Cet(i,j).InputType = Cet(i,j).INPUT_TYPE_DECIMAL_NUMBERS";
mostCurrent._cet[_i][_j].setInputType(mostCurrent._cet[_i][_j].INPUT_TYPE_DECIMAL_NUMBERS);
 }
};
 }
};
 //BA.debugLineNum = 71;BA.debugLine="createbtn.Initialize(\"create\")";
mostCurrent._createbtn.Initialize(mostCurrent.activityBA,"create");
 //BA.debugLineNum = 72;BA.debugLine="viewbtn.Initialize(\"view\")";
mostCurrent._viewbtn.Initialize(mostCurrent.activityBA,"view");
 //BA.debugLineNum = 73;BA.debugLine="readbtn.Initialize(\"read\")";
mostCurrent._readbtn.Initialize(mostCurrent.activityBA,"read");
 //BA.debugLineNum = 74;BA.debugLine="savebtn.Initialize(\"save\")";
mostCurrent._savebtn.Initialize(mostCurrent.activityBA,"save");
 //BA.debugLineNum = 75;BA.debugLine="Arb.Initialize(\"Arb\")";
mostCurrent._arb.Initialize(mostCurrent.activityBA,"Arb");
 //BA.debugLineNum = 76;BA.debugLine="Brb.Initialize(\"Brb\")";
mostCurrent._brb.Initialize(mostCurrent.activityBA,"Brb");
 //BA.debugLineNum = 77;BA.debugLine="Crb.Initialize(\"Crb\")";
mostCurrent._crb.Initialize(mostCurrent.activityBA,"Crb");
 //BA.debugLineNum = 78;BA.debugLine="Arb.Checked = True";
mostCurrent._arb.setChecked(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 79;BA.debugLine="rowlbl.Initialize(\"\")";
mostCurrent._rowlbl.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 80;BA.debugLine="collbl.Initialize(\"\")";
mostCurrent._collbl.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 81;BA.debugLine="rowet.Initialize(\"\")";
mostCurrent._rowet.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 82;BA.debugLine="rowet.InputType = rowet.INPUT_TYPE_NUMBERS";
mostCurrent._rowet.setInputType(mostCurrent._rowet.INPUT_TYPE_NUMBERS);
 //BA.debugLineNum = 83;BA.debugLine="colet.Initialize(\"\")";
mostCurrent._colet.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 84;BA.debugLine="colet.InputType = colet.INPUT_TYPE_NUMBERS";
mostCurrent._colet.setInputType(mostCurrent._colet.INPUT_TYPE_NUMBERS);
 //BA.debugLineNum = 85;BA.debugLine="Activity.AddView(rowlbl,91%x,1%y,4%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._rowlbl.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(91),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(1),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(4),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA));
 //BA.debugLineNum = 86;BA.debugLine="Activity.AddView(rowet,95.5%x,1%y,4%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._rowet.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(95.5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(1),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(4),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA));
 //BA.debugLineNum = 87;BA.debugLine="Activity.AddView(collbl,91%x,11%y,4%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._collbl.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(91),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(11),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(4),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA));
 //BA.debugLineNum = 88;BA.debugLine="Activity.AddView(colet,95.5%x,11%y,4%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._colet.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(95.5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(11),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(4),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA));
 //BA.debugLineNum = 89;BA.debugLine="Activity.AddView(Arb,91%x,22%y,9%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._arb.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(91),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(22),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA));
 //BA.debugLineNum = 90;BA.debugLine="Activity.AddView(Brb,91%x,33%y,9%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._brb.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(91),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(33),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA));
 //BA.debugLineNum = 91;BA.debugLine="Activity.AddView(Crb,91%x,44%y,9%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._crb.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(91),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(44),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA));
 //BA.debugLineNum = 92;BA.debugLine="Activity.AddView(createbtn,91%x,55%y,9%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._createbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(91),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(55),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA));
 //BA.debugLineNum = 93;BA.debugLine="Activity.AddView(viewbtn,91%x,66%y,9%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._viewbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(91),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(66),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA));
 //BA.debugLineNum = 94;BA.debugLine="Activity.AddView(readbtn,91%x,77%y,9%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._readbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(91),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(77),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA));
 //BA.debugLineNum = 95;BA.debugLine="Activity.AddView(savebtn,91%x,88%y,9%x,10%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._savebtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(91),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(88),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(9),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA));
 //BA.debugLineNum = 96;BA.debugLine="rowlbl.Text = \"Rows\"";
mostCurrent._rowlbl.setText((Object)("Rows"));
 //BA.debugLineNum = 97;BA.debugLine="collbl.Text = \"Cols\"";
mostCurrent._collbl.setText((Object)("Cols"));
 //BA.debugLineNum = 98;BA.debugLine="Arb.Text = \"A\"";
mostCurrent._arb.setText((Object)("A"));
 //BA.debugLineNum = 99;BA.debugLine="Brb.Text = \"B\"";
mostCurrent._brb.setText((Object)("B"));
 //BA.debugLineNum = 100;BA.debugLine="Crb.Text = \"C\"";
mostCurrent._crb.setText((Object)("C"));
 //BA.debugLineNum = 101;BA.debugLine="createbtn.Text = \"Create\"";
mostCurrent._createbtn.setText((Object)("Create"));
 //BA.debugLineNum = 102;BA.debugLine="viewbtn.Text = \"View\"";
mostCurrent._viewbtn.setText((Object)("View"));
 //BA.debugLineNum = 103;BA.debugLine="readbtn.Text = \"Read\"";
mostCurrent._readbtn.setText((Object)("Read"));
 //BA.debugLineNum = 104;BA.debugLine="savebtn.Text = \"Save\"";
mostCurrent._savebtn.setText((Object)("Save"));
 //BA.debugLineNum = 105;BA.debugLine="detbtn.Initialize(\"detbtn\")";
mostCurrent._detbtn.Initialize(mostCurrent.activityBA,"detbtn");
 //BA.debugLineNum = 106;BA.debugLine="transbtn.Initialize(\"transbtn\")";
mostCurrent._transbtn.Initialize(mostCurrent.activityBA,"transbtn");
 //BA.debugLineNum = 107;BA.debugLine="invbtn.Initialize(\"invbtn\")";
mostCurrent._invbtn.Initialize(mostCurrent.activityBA,"invbtn");
 //BA.debugLineNum = 108;BA.debugLine="dotbtn.Initialize(\"dotbtn\")";
mostCurrent._dotbtn.Initialize(mostCurrent.activityBA,"dotbtn");
 //BA.debugLineNum = 109;BA.debugLine="divsbtn.Initialize(\"divsbtn\")";
mostCurrent._divsbtn.Initialize(mostCurrent.activityBA,"divsbtn");
 //BA.debugLineNum = 110;BA.debugLine="copybtn.Initialize(\"copybtn\")";
mostCurrent._copybtn.Initialize(mostCurrent.activityBA,"copybtn");
 //BA.debugLineNum = 111;BA.debugLine="mulmbtn.Initialize(\"mulmbtn\")";
mostCurrent._mulmbtn.Initialize(mostCurrent.activityBA,"mulmbtn");
 //BA.debugLineNum = 112;BA.debugLine="mulsbtn.Initialize(\"mulsbtn\")";
mostCurrent._mulsbtn.Initialize(mostCurrent.activityBA,"mulsbtn");
 //BA.debugLineNum = 113;BA.debugLine="addsbtn.Initialize(\"addsbtn\")";
mostCurrent._addsbtn.Initialize(mostCurrent.activityBA,"addsbtn");
 //BA.debugLineNum = 114;BA.debugLine="addmbtn.Initialize(\"addmbtn\")";
mostCurrent._addmbtn.Initialize(mostCurrent.activityBA,"addmbtn");
 //BA.debugLineNum = 115;BA.debugLine="subsbtn.Initialize(\"subsbtn\")";
mostCurrent._subsbtn.Initialize(mostCurrent.activityBA,"subsbtn");
 //BA.debugLineNum = 116;BA.debugLine="submbtn.Initialize(\"submbtn\")";
mostCurrent._submbtn.Initialize(mostCurrent.activityBA,"submbtn");
 //BA.debugLineNum = 117;BA.debugLine="solvebtn.Initialize(\"solvebtn\")";
mostCurrent._solvebtn.Initialize(mostCurrent.activityBA,"solvebtn");
 //BA.debugLineNum = 118;BA.debugLine="switchbtn.initialize(\"switchbtn\")";
mostCurrent._switchbtn.Initialize(mostCurrent.activityBA,"switchbtn");
 //BA.debugLineNum = 120;BA.debugLine="klbl.Initialize(\"\")";
mostCurrent._klbl.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 121;BA.debugLine="klbl.Text = \"K=\"";
mostCurrent._klbl.setText((Object)("K="));
 //BA.debugLineNum = 122;BA.debugLine="ket.Initialize(\"\")";
mostCurrent._ket.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 123;BA.debugLine="ket.InputType = ket.INPUT_TYPE_DECIMAL_NUMBERS";
mostCurrent._ket.setInputType(mostCurrent._ket.INPUT_TYPE_DECIMAL_NUMBERS);
 //BA.debugLineNum = 124;BA.debugLine="roundbtn.Initialize(\"roundbtn\")";
mostCurrent._roundbtn.Initialize(mostCurrent.activityBA,"roundbtn");
 //BA.debugLineNum = 125;BA.debugLine="roundbtn.Text = \"Round\"";
mostCurrent._roundbtn.setText((Object)("Round"));
 //BA.debugLineNum = 127;BA.debugLine="controlpanel.AddView(klbl, 12%x, 4%y, 5%x,9%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._klbl.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(12),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(4),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(9),mostCurrent.activityBA));
 //BA.debugLineNum = 128;BA.debugLine="controlpanel.AddView(ket, 20%x, 3%y, 30%x,9%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._ket.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(3),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(9),mostCurrent.activityBA));
 //BA.debugLineNum = 129;BA.debugLine="controlpanel.AddView(roundbtn, 60%x, 3%y, 10%x,9%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._roundbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(60),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(3),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(10),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(9),mostCurrent.activityBA));
 //BA.debugLineNum = 131;BA.debugLine="addsbtn.Text = \"C= M + K\"";
mostCurrent._addsbtn.setText((Object)("C= M + K"));
 //BA.debugLineNum = 132;BA.debugLine="subsbtn.Text = \"C= M - K\"";
mostCurrent._subsbtn.setText((Object)("C= M - K"));
 //BA.debugLineNum = 133;BA.debugLine="mulsbtn.Text = \"C= M * K\"";
mostCurrent._mulsbtn.setText((Object)("C= M * K"));
 //BA.debugLineNum = 134;BA.debugLine="divsbtn.Text = \"C= M / K\"";
mostCurrent._divsbtn.setText((Object)("C= M / K"));
 //BA.debugLineNum = 135;BA.debugLine="controlpanel.AddView(addsbtn, 10%x, 15%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._addsbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(10),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(15),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 136;BA.debugLine="controlpanel.AddView(subsbtn, 10%x, 30%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._subsbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(10),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 137;BA.debugLine="controlpanel.AddView(mulsbtn, 10%x, 45%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._mulsbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(10),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(45),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 138;BA.debugLine="controlpanel.AddView(divsbtn, 10%x, 60%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._divsbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(10),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(60),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 140;BA.debugLine="addmbtn.Text = \"C= A + B\"";
mostCurrent._addmbtn.setText((Object)("C= A + B"));
 //BA.debugLineNum = 141;BA.debugLine="submbtn.Text = \"C= A - B\"";
mostCurrent._submbtn.setText((Object)("C= A - B"));
 //BA.debugLineNum = 142;BA.debugLine="mulmbtn.Text = \"C= A X B\"";
mostCurrent._mulmbtn.setText((Object)("C= A X B"));
 //BA.debugLineNum = 143;BA.debugLine="dotbtn.Text =  \"C= A . B\"";
mostCurrent._dotbtn.setText((Object)("C= A . B"));
 //BA.debugLineNum = 144;BA.debugLine="solvebtn.Text = \"Solve AX=B\"";
mostCurrent._solvebtn.setText((Object)("Solve AX=B"));
 //BA.debugLineNum = 145;BA.debugLine="controlpanel.AddView(addmbtn, 35%x, 15%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._addmbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(35),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(15),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 146;BA.debugLine="controlpanel.AddView(submbtn, 35%x, 30%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._submbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(35),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 147;BA.debugLine="controlpanel.AddView(mulmbtn, 35%x, 45%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._mulmbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(35),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(45),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 148;BA.debugLine="controlpanel.AddView(dotbtn, 35%x, 60%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._dotbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(35),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(60),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 149;BA.debugLine="controlpanel.AddView(solvebtn, 35%x, 75%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._solvebtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(35),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(75),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 151;BA.debugLine="detbtn.Text = \"K= Det\"";
mostCurrent._detbtn.setText((Object)("K= Det"));
 //BA.debugLineNum = 152;BA.debugLine="transbtn.Text = \"C= Transpose\"";
mostCurrent._transbtn.setText((Object)("C= Transpose"));
 //BA.debugLineNum = 153;BA.debugLine="invbtn.Text = \"C= Inverse\"";
mostCurrent._invbtn.setText((Object)("C= Inverse"));
 //BA.debugLineNum = 154;BA.debugLine="switchbtn.Text = \"A <-> B\"";
mostCurrent._switchbtn.setText((Object)("A <-> B"));
 //BA.debugLineNum = 155;BA.debugLine="copybtn.Text = \"C -->\"";
mostCurrent._copybtn.setText((Object)("C -->"));
 //BA.debugLineNum = 156;BA.debugLine="controlpanel.AddView(detbtn, 60%x, 15%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._detbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(60),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(15),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 157;BA.debugLine="controlpanel.AddView(transbtn, 60%x, 30%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._transbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(60),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 158;BA.debugLine="controlpanel.AddView(invbtn, 60%x, 45%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._invbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(60),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(45),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 159;BA.debugLine="controlpanel.AddView(switchbtn, 60%x, 60%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._switchbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(60),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(60),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 160;BA.debugLine="controlpanel.AddView(copybtn, 60%x, 75%y, 20%x,14%y)";
mostCurrent._controlpanel.AddView((android.view.View)(mostCurrent._copybtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(60),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(75),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(14),mostCurrent.activityBA));
 //BA.debugLineNum = 162;BA.debugLine="controlbtn.Initialize(\"controlbtn\")";
mostCurrent._controlbtn.Initialize(mostCurrent.activityBA,"controlbtn");
 //BA.debugLineNum = 163;BA.debugLine="controlbtn.Text = \"Control\"";
mostCurrent._controlbtn.setText((Object)("Control"));
 //BA.debugLineNum = 164;BA.debugLine="Activity.AddView(controlbtn,30%x,91%y,30%x,9%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._controlbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(91),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(9),mostCurrent.activityBA));
 //BA.debugLineNum = 166;BA.debugLine="savepanel.Initialize(\"\")";
mostCurrent._savepanel.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 167;BA.debugLine="okbtn.Initialize(\"okbtn\")";
mostCurrent._okbtn.Initialize(mostCurrent.activityBA,"okbtn");
 //BA.debugLineNum = 168;BA.debugLine="fileet.Initialize(\"\")";
mostCurrent._fileet.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 169;BA.debugLine="savepanel.AddView(fileet, 10%x,5%y,15%x,15%y)";
mostCurrent._savepanel.AddView((android.view.View)(mostCurrent._fileet.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(10),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(15),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(15),mostCurrent.activityBA));
 //BA.debugLineNum = 170;BA.debugLine="savepanel.AddView(okbtn, 10%x,30%y,15%x,15%y)";
mostCurrent._savepanel.AddView((android.view.View)(mostCurrent._okbtn.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(10),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(30),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(15),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(15),mostCurrent.activityBA));
 //BA.debugLineNum = 171;BA.debugLine="okbtn.Text = \"OK\"";
mostCurrent._okbtn.setText((Object)("OK"));
 //BA.debugLineNum = 172;BA.debugLine="Activity.AddView(savepanel,1600,10%y,60%x,55%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._savepanel.getObject()),(int)(1600),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(10),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(60),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(55),mostCurrent.activityBA));
 //BA.debugLineNum = 173;BA.debugLine="set_font_size";
_set_font_size();
 //BA.debugLineNum = 174;BA.debugLine="End Sub";
return "";
}
public static String  _invbtn_click() throws Exception{
 //BA.debugLineNum = 554;BA.debugLine="Sub invbtn_Click";
 //BA.debugLineNum = 555;BA.debugLine="matrows(2) = matrows(mark)";
_matrows[(int)(2)] = _matrows[_mark];
 //BA.debugLineNum = 556;BA.debugLine="matcols(2) = matcols(mark)";
_matcols[(int)(2)] = _matcols[_mark];
 //BA.debugLineNum = 557;BA.debugLine="mat.Inverse(matrows(mark),M,c)";
_mat.Inverse(_matrows[_mark],_m,_c);
 //BA.debugLineNum = 558;BA.debugLine="show_C";
_show_c();
 //BA.debugLineNum = 559;BA.debugLine="End Sub";
return "";
}
public static String  _load() throws Exception{
int _i = 0;
int _j = 0;
 //BA.debugLineNum = 376;BA.debugLine="Sub load";
 //BA.debugLineNum = 377;BA.debugLine="For i = 0 To matrows(mark) -1";
{
final double step332 = 1;
final double limit332 = (int)(_matrows[_mark]-1);
for (_i = (int)(0); (step332 > 0 && _i <= limit332) || (step332 < 0 && _i >= limit332); _i += step332) {
 //BA.debugLineNum = 378;BA.debugLine="For j = 0 To matcols(mark)-1";
{
final double step333 = 1;
final double limit333 = (int)(_matcols[_mark]-1);
for (_j = (int)(0); (step333 > 0 && _j <= limit333) || (step333 < 0 && _j >= limit333); _j += step333) {
 //BA.debugLineNum = 379;BA.debugLine="M(i,j) = Met(i,j).text";
_m[_i][_j] = (double)(Double.parseDouble(mostCurrent._met[_i][_j].getText()));
 }
};
 }
};
 //BA.debugLineNum = 382;BA.debugLine="End Sub";
return "";
}
public static String  _mulmbtn_click() throws Exception{
 //BA.debugLineNum = 477;BA.debugLine="Sub mulmbtn_Click";
 //BA.debugLineNum = 478;BA.debugLine="mat.MulM(matrows(0),matcols(0),a, b,c)";
_mat.MulM(_matrows[(int)(0)],_matcols[(int)(0)],_a,_b,_c);
 //BA.debugLineNum = 479;BA.debugLine="matrows(2) = matrows(0)";
_matrows[(int)(2)] = _matrows[(int)(0)];
 //BA.debugLineNum = 480;BA.debugLine="matcols(2) = matcols(0)";
_matcols[(int)(2)] = _matcols[(int)(0)];
 //BA.debugLineNum = 481;BA.debugLine="show_C";
_show_c();
 //BA.debugLineNum = 482;BA.debugLine="End Sub";
return "";
}
public static String  _mulsbtn_click() throws Exception{
 //BA.debugLineNum = 447;BA.debugLine="Sub mulsbtn_Click";
 //BA.debugLineNum = 448;BA.debugLine="mat.MulS(matrows(mark),matcols(mark),M, ket.Text, c)";
_mat.MulS(_matrows[_mark],_matcols[_mark],_m,(double)(Double.parseDouble(mostCurrent._ket.getText())),_c);
 //BA.debugLineNum = 449;BA.debugLine="matrows(2) = matrows(mark)";
_matrows[(int)(2)] = _matrows[_mark];
 //BA.debugLineNum = 450;BA.debugLine="matcols(2) = matcols(mark)";
_matcols[(int)(2)] = _matcols[_mark];
 //BA.debugLineNum = 451;BA.debugLine="show_C";
_show_c();
 //BA.debugLineNum = 452;BA.debugLine="End Sub";
return "";
}
public static String  _okbtn_click() throws Exception{
String _fn = "";
String _st = "";
anywheresoftware.b4a.objects.streams.File.TextWriterWrapper _tw = null;
int _j = 0;
int _i = 0;
 //BA.debugLineNum = 344;BA.debugLine="Sub okbtn_Click";
 //BA.debugLineNum = 345;BA.debugLine="Dim fn, st As String";
_fn = "";
_st = "";
 //BA.debugLineNum = 346;BA.debugLine="Dim tw As TextWriter";
_tw = new anywheresoftware.b4a.objects.streams.File.TextWriterWrapper();
 //BA.debugLineNum = 348;BA.debugLine="fn = fileet.Text & \".csv\"";
_fn = mostCurrent._fileet.getText()+".csv";
 //BA.debugLineNum = 349;BA.debugLine="tw.Initialize( File.OpenOutput(File.DirRootExternal & \"/Matrix\", fn,False))";
_tw.Initialize((java.io.OutputStream)(anywheresoftware.b4a.keywords.Common.File.OpenOutput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/Matrix",_fn,anywheresoftware.b4a.keywords.Common.False).getObject()));
 //BA.debugLineNum = 351;BA.debugLine="st = \"\"";
_st = "";
 //BA.debugLineNum = 352;BA.debugLine="For j = 0 To matrows(mark) -1";
{
final double step310 = 1;
final double limit310 = (int)(_matrows[_mark]-1);
for (_j = (int)(0); (step310 > 0 && _j <= limit310) || (step310 < 0 && _j >= limit310); _j += step310) {
 //BA.debugLineNum = 353;BA.debugLine="st = st & (j+1) & \",\"";
_st = _st+BA.NumberToString((_j+1))+",";
 }
};
 //BA.debugLineNum = 355;BA.debugLine="st = st.SubString2(0,st.Length - 1)";
_st = _st.substring((int)(0),(int)(_st.length()-1));
 //BA.debugLineNum = 356;BA.debugLine="tw.WriteLine(st) ' just a header line which is not used, to be compatible with existing csv files.";
_tw.WriteLine(_st);
 //BA.debugLineNum = 358;BA.debugLine="For i = 0 To matrows(mark) -1";
{
final double step315 = 1;
final double limit315 = (int)(_matrows[_mark]-1);
for (_i = (int)(0); (step315 > 0 && _i <= limit315) || (step315 < 0 && _i >= limit315); _i += step315) {
 //BA.debugLineNum = 359;BA.debugLine="st = \"\"";
_st = "";
 //BA.debugLineNum = 360;BA.debugLine="For j = 0 To matcols(mark) -1";
{
final double step317 = 1;
final double limit317 = (int)(_matcols[_mark]-1);
for (_j = (int)(0); (step317 > 0 && _j <= limit317) || (step317 < 0 && _j >= limit317); _j += step317) {
 //BA.debugLineNum = 361;BA.debugLine="st = st & M(i,j) & \",\"";
_st = _st+BA.NumberToString(_m[_i][_j])+",";
 }
};
 //BA.debugLineNum = 363;BA.debugLine="st = st.SubString2(0,st.Length - 1)";
_st = _st.substring((int)(0),(int)(_st.length()-1));
 //BA.debugLineNum = 364;BA.debugLine="tw.WriteLine(st)";
_tw.WriteLine(_st);
 }
};
 //BA.debugLineNum = 366;BA.debugLine="tw.Close";
_tw.Close();
 //BA.debugLineNum = 367;BA.debugLine="controlbtn_Click";
_controlbtn_click();
 //BA.debugLineNum = 368;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 2;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 5;BA.debugLine="Dim mat As MatrixOp";
_mat = new derez.libs.MatrixOp();
 //BA.debugLineNum = 6;BA.debugLine="End Sub";
return "";
}
public static String  _read_click() throws Exception{
String _st = "";
int _test = 0;
anywheresoftware.b4a.objects.collections.List _filteredlist = null;
anywheresoftware.b4a.objects.collections.List _filelist = null;
int _i = 0;
 //BA.debugLineNum = 285;BA.debugLine="Sub Read_Click";
 //BA.debugLineNum = 286;BA.debugLine="Dim st As String";
_st = "";
 //BA.debugLineNum = 287;BA.debugLine="Dim test As Int";
_test = 0;
 //BA.debugLineNum = 288;BA.debugLine="Dim filteredlist, filelist As List";
_filteredlist = new anywheresoftware.b4a.objects.collections.List();
_filelist = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 290;BA.debugLine="filelist.initialize";
_filelist.Initialize();
 //BA.debugLineNum = 291;BA.debugLine="filelist = File.ListFiles(File.DirRootExternal & \"/matrix\")";
_filelist = anywheresoftware.b4a.keywords.Common.File.ListFiles(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/matrix");
 //BA.debugLineNum = 292;BA.debugLine="filteredlist.initialize";
_filteredlist.Initialize();
 //BA.debugLineNum = 293;BA.debugLine="For i = 0 To filelist.Size - 1";
{
final double step259 = 1;
final double limit259 = (int)(_filelist.getSize()-1);
for (_i = (int)(0); (step259 > 0 && _i <= limit259) || (step259 < 0 && _i >= limit259); _i += step259) {
 //BA.debugLineNum = 294;BA.debugLine="st = filelist.Get(i)";
_st = String.valueOf(_filelist.Get(_i));
 //BA.debugLineNum = 295;BA.debugLine="If st.EndsWith(\".csv\")  Then filteredlist.add (st)";
if (_st.endsWith(".csv")) { 
_filteredlist.Add((Object)(_st));};
 }
};
 //BA.debugLineNum = 298;BA.debugLine="test = InputList(filteredlist,\"Matrix Files\",0)";
_test = anywheresoftware.b4a.keywords.Common.InputList(_filteredlist,"Matrix Files",(int)(0),mostCurrent.activityBA);
 //BA.debugLineNum = 299;BA.debugLine="If test<> -3 Then";
if (_test!=-3) { 
 //BA.debugLineNum = 300;BA.debugLine="read_file(filteredlist.Get(test))";
_read_file(String.valueOf(_filteredlist.Get(_test)));
 }else {
 //BA.debugLineNum = 302;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 304;BA.debugLine="End Sub";
return "";
}
public static String  _read_file(String _file_name) throws Exception{
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
String[] _row = null;
anywheresoftware.b4a.objects.collections.List _listm = null;
int _i = 0;
int _j = 0;
 //BA.debugLineNum = 306;BA.debugLine="Sub read_file(file_name As String)";
 //BA.debugLineNum = 307;BA.debugLine="Dim tr As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 308;BA.debugLine="Dim row() As String";
_row = new String[(int)(0)];
java.util.Arrays.fill(_row,"");
 //BA.debugLineNum = 309;BA.debugLine="Dim listm As List";
_listm = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 311;BA.debugLine="tr.Initialize( File.OpenInput(File.DirRootExternal & \"/Matrix\", file_name))";
_tr.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/Matrix",_file_name).getObject()));
 //BA.debugLineNum = 312;BA.debugLine="listm.Initialize";
_listm.Initialize();
 //BA.debugLineNum = 313;BA.debugLine="listm = tr.ReadList";
_listm = _tr.ReadList();
 //BA.debugLineNum = 314;BA.debugLine="hideall(mark)";
_hideall(_mark);
 //BA.debugLineNum = 316;BA.debugLine="For i = 1 To listm.Size - 1  ' line 0 is the header line - not needed";
{
final double step278 = 1;
final double limit278 = (int)(_listm.getSize()-1);
for (_i = (int)(1); (step278 > 0 && _i <= limit278) || (step278 < 0 && _i >= limit278); _i += step278) {
 //BA.debugLineNum = 317;BA.debugLine="row = Regex.Split(\",\" , listm.Get(i))";
_row = anywheresoftware.b4a.keywords.Common.Regex.Split(",",String.valueOf(_listm.Get(_i)));
 //BA.debugLineNum = 318;BA.debugLine="For j = 0 To row.Length - 1";
{
final double step280 = 1;
final double limit280 = (int)(_row.length-1);
for (_j = (int)(0); (step280 > 0 && _j <= limit280) || (step280 < 0 && _j >= limit280); _j += step280) {
 //BA.debugLineNum = 319;BA.debugLine="Met(i-1, j).text = row(j)";
mostCurrent._met[(int)(_i-1)][_j].setText((Object)(_row[_j]));
 //BA.debugLineNum = 320;BA.debugLine="M(i-1,j) = row(j)";
_m[(int)(_i-1)][_j] = (double)(Double.parseDouble(_row[_j]));
 //BA.debugLineNum = 321;BA.debugLine="Met(i-1,j).Visible = True";
mostCurrent._met[(int)(_i-1)][_j].setVisible(anywheresoftware.b4a.keywords.Common.True);
 }
};
 }
};
 //BA.debugLineNum = 324;BA.debugLine="For i = 0 To 2";
{
final double step286 = 1;
final double limit286 = (int)(2);
for (_i = (int)(0); (step286 > 0 && _i <= limit286) || (step286 < 0 && _i >= limit286); _i += step286) {
 //BA.debugLineNum = 325;BA.debugLine="If i = mark Then";
if (_i==_mark) { 
 //BA.debugLineNum = 326;BA.debugLine="MPanel(i).Left = 0";
mostCurrent._mpanel[_i].setLeft((int)(0));
 //BA.debugLineNum = 327;BA.debugLine="matrows(i) = listm.Size - 1";
_matrows[_i] = (int)(_listm.getSize()-1);
 //BA.debugLineNum = 328;BA.debugLine="matcols(i) = row.Length";
_matcols[_i] = _row.length;
 }else {
 //BA.debugLineNum = 330;BA.debugLine="MPanel(i).Left = 1600";
mostCurrent._mpanel[_i].setLeft((int)(1600));
 };
 }
};
 //BA.debugLineNum = 333;BA.debugLine="controlpanel.Left = 1600";
mostCurrent._controlpanel.setLeft((int)(1600));
 //BA.debugLineNum = 334;BA.debugLine="End Sub";
return "";
}
public static String  _roundbtn_click() throws Exception{
int _k = 0;
 //BA.debugLineNum = 407;BA.debugLine="Sub roundbtn_Click";
 //BA.debugLineNum = 408;BA.debugLine="Dim k As Int";
_k = 0;
 //BA.debugLineNum = 409;BA.debugLine="k = ket.Text";
_k = (int)(Double.parseDouble(mostCurrent._ket.getText()));
 //BA.debugLineNum = 410;BA.debugLine="mat.SetRound( k)";
_mat.SetRound(_k);
 //BA.debugLineNum = 411;BA.debugLine="End Sub";
return "";
}
public static String  _save_click() throws Exception{
int _i = 0;
 //BA.debugLineNum = 336;BA.debugLine="Sub save_Click";
 //BA.debugLineNum = 337;BA.debugLine="savepanel.left = 20%x";
mostCurrent._savepanel.setLeft(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(20),mostCurrent.activityBA));
 //BA.debugLineNum = 338;BA.debugLine="For i = 0 To 2";
{
final double step299 = 1;
final double limit299 = (int)(2);
for (_i = (int)(0); (step299 > 0 && _i <= limit299) || (step299 < 0 && _i >= limit299); _i += step299) {
 //BA.debugLineNum = 339;BA.debugLine="MPanel(i).Left = 1600";
mostCurrent._mpanel[_i].setLeft((int)(1600));
 }
};
 //BA.debugLineNum = 341;BA.debugLine="controlpanel.Left = 1600";
mostCurrent._controlpanel.setLeft((int)(1600));
 //BA.debugLineNum = 342;BA.debugLine="End Sub";
return "";
}
public static String  _set_font_size() throws Exception{
int _large = 0;
int _small = 0;
 //BA.debugLineNum = 176;BA.debugLine="Sub set_font_size";
 //BA.debugLineNum = 177;BA.debugLine="Dim large,small As Int";
_large = 0;
_small = 0;
 //BA.debugLineNum = 178;BA.debugLine="large = 36";
_large = (int)(36);
 //BA.debugLineNum = 179;BA.debugLine="small = 18";
_small = (int)(18);
 //BA.debugLineNum = 180;BA.debugLine="If Activity.Width < 850 Then";
if (mostCurrent._activity.getWidth()<850) { 
 //BA.debugLineNum = 181;BA.debugLine="rowlbl.TextSize = small - 4";
mostCurrent._rowlbl.setTextSize((float)(_small-4));
 //BA.debugLineNum = 182;BA.debugLine="collbl.TextSize = small - 4";
mostCurrent._collbl.setTextSize((float)(_small-4));
 //BA.debugLineNum = 183;BA.debugLine="rowet.TextSize = small";
mostCurrent._rowet.setTextSize((float)(_small));
 //BA.debugLineNum = 184;BA.debugLine="colet.TextSize = small";
mostCurrent._colet.setTextSize((float)(_small));
 //BA.debugLineNum = 185;BA.debugLine="Arb.Textsize = small";
mostCurrent._arb.setTextSize((float)(_small));
 //BA.debugLineNum = 186;BA.debugLine="Brb.Textsize = small";
mostCurrent._brb.setTextSize((float)(_small));
 //BA.debugLineNum = 187;BA.debugLine="Crb.Textsize = small";
mostCurrent._crb.setTextSize((float)(_small));
 //BA.debugLineNum = 188;BA.debugLine="klbl.TextSize = small";
mostCurrent._klbl.setTextSize((float)(_small));
 //BA.debugLineNum = 189;BA.debugLine="ket.TextSize = small";
mostCurrent._ket.setTextSize((float)(_small));
 //BA.debugLineNum = 190;BA.debugLine="roundbtn.TextSize = small";
mostCurrent._roundbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 191;BA.debugLine="createbtn.Textsize = small - 4";
mostCurrent._createbtn.setTextSize((float)(_small-4));
 //BA.debugLineNum = 192;BA.debugLine="viewbtn.Textsize = small - 4";
mostCurrent._viewbtn.setTextSize((float)(_small-4));
 //BA.debugLineNum = 193;BA.debugLine="readbtn.Textsize = small - 4";
mostCurrent._readbtn.setTextSize((float)(_small-4));
 //BA.debugLineNum = 194;BA.debugLine="savebtn.Textsize = small - 4";
mostCurrent._savebtn.setTextSize((float)(_small-4));
 //BA.debugLineNum = 195;BA.debugLine="addsbtn.Textsize = small";
mostCurrent._addsbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 196;BA.debugLine="subsbtn.Textsize = small";
mostCurrent._subsbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 197;BA.debugLine="mulsbtn.Textsize = small";
mostCurrent._mulsbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 198;BA.debugLine="divsbtn.Textsize = small";
mostCurrent._divsbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 199;BA.debugLine="addmbtn.Textsize = small";
mostCurrent._addmbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 200;BA.debugLine="submbtn.Textsize = small";
mostCurrent._submbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 201;BA.debugLine="mulmbtn.Textsize = small";
mostCurrent._mulmbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 202;BA.debugLine="dotbtn.Textsize = small";
mostCurrent._dotbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 203;BA.debugLine="solvebtn.Textsize = small";
mostCurrent._solvebtn.setTextSize((float)(_small));
 //BA.debugLineNum = 204;BA.debugLine="detbtn.Textsize = small";
mostCurrent._detbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 205;BA.debugLine="transbtn.Textsize = small";
mostCurrent._transbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 206;BA.debugLine="invbtn.Textsize = small";
mostCurrent._invbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 207;BA.debugLine="switchbtn.Textsize = small";
mostCurrent._switchbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 208;BA.debugLine="copybtn.Textsize = small";
mostCurrent._copybtn.setTextSize((float)(_small));
 //BA.debugLineNum = 209;BA.debugLine="controlbtn.Textsize = small";
mostCurrent._controlbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 210;BA.debugLine="okbtn.Textsize = small";
mostCurrent._okbtn.setTextSize((float)(_small));
 //BA.debugLineNum = 211;BA.debugLine="fileet.TextSize = small";
mostCurrent._fileet.setTextSize((float)(_small));
 }else {
 //BA.debugLineNum = 213;BA.debugLine="rowlbl.TextSize = large - 16";
mostCurrent._rowlbl.setTextSize((float)(_large-16));
 //BA.debugLineNum = 214;BA.debugLine="collbl.TextSize = large - 16";
mostCurrent._collbl.setTextSize((float)(_large-16));
 //BA.debugLineNum = 215;BA.debugLine="rowet.TextSize = large - 8";
mostCurrent._rowet.setTextSize((float)(_large-8));
 //BA.debugLineNum = 216;BA.debugLine="colet.TextSize = large -8";
mostCurrent._colet.setTextSize((float)(_large-8));
 //BA.debugLineNum = 217;BA.debugLine="Arb.Textsize = large";
mostCurrent._arb.setTextSize((float)(_large));
 //BA.debugLineNum = 218;BA.debugLine="Brb.Textsize = large";
mostCurrent._brb.setTextSize((float)(_large));
 //BA.debugLineNum = 219;BA.debugLine="Crb.Textsize = large";
mostCurrent._crb.setTextSize((float)(_large));
 //BA.debugLineNum = 220;BA.debugLine="klbl.TextSize = large";
mostCurrent._klbl.setTextSize((float)(_large));
 //BA.debugLineNum = 221;BA.debugLine="ket.TextSize = large";
mostCurrent._ket.setTextSize((float)(_large));
 //BA.debugLineNum = 222;BA.debugLine="roundbtn.TextSize = large";
mostCurrent._roundbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 223;BA.debugLine="createbtn.Textsize = large - 8";
mostCurrent._createbtn.setTextSize((float)(_large-8));
 //BA.debugLineNum = 224;BA.debugLine="viewbtn.Textsize = large - 8";
mostCurrent._viewbtn.setTextSize((float)(_large-8));
 //BA.debugLineNum = 225;BA.debugLine="readbtn.Textsize = large - 8";
mostCurrent._readbtn.setTextSize((float)(_large-8));
 //BA.debugLineNum = 226;BA.debugLine="savebtn.Textsize = large - 8";
mostCurrent._savebtn.setTextSize((float)(_large-8));
 //BA.debugLineNum = 227;BA.debugLine="addsbtn.Textsize = large";
mostCurrent._addsbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 228;BA.debugLine="subsbtn.Textsize = large";
mostCurrent._subsbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 229;BA.debugLine="mulsbtn.Textsize = large";
mostCurrent._mulsbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 230;BA.debugLine="divsbtn.Textsize = large";
mostCurrent._divsbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 231;BA.debugLine="addmbtn.Textsize = large";
mostCurrent._addmbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 232;BA.debugLine="submbtn.Textsize = large";
mostCurrent._submbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 233;BA.debugLine="mulmbtn.Textsize = large";
mostCurrent._mulmbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 234;BA.debugLine="dotbtn.Textsize = large";
mostCurrent._dotbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 235;BA.debugLine="solvebtn.Textsize = large";
mostCurrent._solvebtn.setTextSize((float)(_large));
 //BA.debugLineNum = 236;BA.debugLine="detbtn.Textsize = large";
mostCurrent._detbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 237;BA.debugLine="transbtn.Textsize = large";
mostCurrent._transbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 238;BA.debugLine="invbtn.Textsize = large";
mostCurrent._invbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 239;BA.debugLine="switchbtn.Textsize = large";
mostCurrent._switchbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 240;BA.debugLine="copybtn.Textsize = large";
mostCurrent._copybtn.setTextSize((float)(_large));
 //BA.debugLineNum = 241;BA.debugLine="controlbtn.Textsize = large";
mostCurrent._controlbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 242;BA.debugLine="okbtn.Textsize = large";
mostCurrent._okbtn.setTextSize((float)(_large));
 //BA.debugLineNum = 243;BA.debugLine="fileet.TextSize = large";
mostCurrent._fileet.setTextSize((float)(_large));
 };
 //BA.debugLineNum = 245;BA.debugLine="End Sub";
return "";
}
public static String  _show_c() throws Exception{
int _i = 0;
int _j = 0;
 //BA.debugLineNum = 384;BA.debugLine="Sub show_C";
 //BA.debugLineNum = 385;BA.debugLine="hideall(2)";
_hideall((int)(2));
 //BA.debugLineNum = 386;BA.debugLine="For i = 0 To matrows(2) - 1";
{
final double step340 = 1;
final double limit340 = (int)(_matrows[(int)(2)]-1);
for (_i = (int)(0); (step340 > 0 && _i <= limit340) || (step340 < 0 && _i >= limit340); _i += step340) {
 //BA.debugLineNum = 387;BA.debugLine="For j = 0 To matcols(2) - 1";
{
final double step341 = 1;
final double limit341 = (int)(_matcols[(int)(2)]-1);
for (_j = (int)(0); (step341 > 0 && _j <= limit341) || (step341 < 0 && _j >= limit341); _j += step341) {
 //BA.debugLineNum = 388;BA.debugLine="Cet(i,j).Text = c(i,j)";
mostCurrent._cet[_i][_j].setText((Object)(_c[_i][_j]));
 //BA.debugLineNum = 389;BA.debugLine="Cet(i,j).Visible = True";
mostCurrent._cet[_i][_j].setVisible(anywheresoftware.b4a.keywords.Common.True);
 }
};
 }
};
 //BA.debugLineNum = 392;BA.debugLine="MPanel(0).Left = 1600";
mostCurrent._mpanel[(int)(0)].setLeft((int)(1600));
 //BA.debugLineNum = 393;BA.debugLine="MPanel(1).Left = 1600";
mostCurrent._mpanel[(int)(1)].setLeft((int)(1600));
 //BA.debugLineNum = 394;BA.debugLine="MPanel(2).Left = 0";
mostCurrent._mpanel[(int)(2)].setLeft((int)(0));
 //BA.debugLineNum = 395;BA.debugLine="controlpanel.Left = 1600";
mostCurrent._controlpanel.setLeft((int)(1600));
 //BA.debugLineNum = 396;BA.debugLine="End Sub";
return "";
}
public static String  _solvebtn_click() throws Exception{
int _i = 0;
 //BA.debugLineNum = 492;BA.debugLine="Sub solvebtn_Click";
 //BA.debugLineNum = 493;BA.debugLine="If matcols(1) > 1 Then";
if (_matcols[(int)(1)]>1) { 
 //BA.debugLineNum = 494;BA.debugLine="mat.SolveM(matrows(0),a,matcols(1),b,c)";
_mat.SolveM(_matrows[(int)(0)],_a,_matcols[(int)(1)],_b,_c);
 //BA.debugLineNum = 495;BA.debugLine="matrows(2) = matrows(0)";
_matrows[(int)(2)] = _matrows[(int)(0)];
 //BA.debugLineNum = 496;BA.debugLine="matcols(2) = matcols(1)";
_matcols[(int)(2)] = _matcols[(int)(1)];
 }else {
 //BA.debugLineNum = 498;BA.debugLine="For i = 0 To matrows(0) - 1";
{
final double step434 = 1;
final double limit434 = (int)(_matrows[(int)(0)]-1);
for (_i = (int)(0); (step434 > 0 && _i <= limit434) || (step434 < 0 && _i >= limit434); _i += step434) {
 //BA.debugLineNum = 499;BA.debugLine="vb(i) = b(i,0)";
_vb[_i] = _b[_i][(int)(0)];
 }
};
 //BA.debugLineNum = 501;BA.debugLine="mat.SolveV(matrows(0),a,vb,vx)";
_mat.SolveV(_matrows[(int)(0)],_a,_vb,_vx);
 //BA.debugLineNum = 502;BA.debugLine="matrows(2) = matrows(0)";
_matrows[(int)(2)] = _matrows[(int)(0)];
 //BA.debugLineNum = 503;BA.debugLine="matcols(2) = 1";
_matcols[(int)(2)] = (int)(1);
 //BA.debugLineNum = 504;BA.debugLine="For i = 0 To matrows(2) - 1";
{
final double step440 = 1;
final double limit440 = (int)(_matrows[(int)(2)]-1);
for (_i = (int)(0); (step440 > 0 && _i <= limit440) || (step440 < 0 && _i >= limit440); _i += step440) {
 //BA.debugLineNum = 505;BA.debugLine="c(i,0) = vx(i)";
_c[_i][(int)(0)] = _vx[_i];
 }
};
 };
 //BA.debugLineNum = 508;BA.debugLine="show_C";
_show_c();
 //BA.debugLineNum = 509;BA.debugLine="End Sub";
return "";
}
public static String  _submbtn_click() throws Exception{
 //BA.debugLineNum = 470;BA.debugLine="Sub submbtn_Click";
 //BA.debugLineNum = 471;BA.debugLine="mat.SubM(matrows(0),matcols(0),a, b,c)";
_mat.SubM(_matrows[(int)(0)],_matcols[(int)(0)],_a,_b,_c);
 //BA.debugLineNum = 472;BA.debugLine="matrows(2) = matrows(0)";
_matrows[(int)(2)] = _matrows[(int)(0)];
 //BA.debugLineNum = 473;BA.debugLine="matcols(2) = matcols(0)";
_matcols[(int)(2)] = _matcols[(int)(0)];
 //BA.debugLineNum = 474;BA.debugLine="show_C";
_show_c();
 //BA.debugLineNum = 475;BA.debugLine="End Sub";
return "";
}
public static String  _subsbtn_click() throws Exception{
 //BA.debugLineNum = 440;BA.debugLine="Sub subsbtn_Click";
 //BA.debugLineNum = 441;BA.debugLine="mat.SubS(matrows(mark),matcols(mark),M, ket.Text, c)";
_mat.SubS(_matrows[_mark],_matcols[_mark],_m,(double)(Double.parseDouble(mostCurrent._ket.getText())),_c);
 //BA.debugLineNum = 442;BA.debugLine="matrows(2) = matrows(mark)";
_matrows[(int)(2)] = _matrows[_mark];
 //BA.debugLineNum = 443;BA.debugLine="matcols(2) = matcols(mark)";
_matcols[(int)(2)] = _matcols[_mark];
 //BA.debugLineNum = 444;BA.debugLine="show_C";
_show_c();
 //BA.debugLineNum = 445;BA.debugLine="End Sub";
return "";
}
public static String  _switchbtn_click() throws Exception{
int _row = 0;
int _col = 0;
int _i = 0;
int _j = 0;
 //BA.debugLineNum = 511;BA.debugLine="Sub switchbtn_Click";
 //BA.debugLineNum = 512;BA.debugLine="Dim   row, col As Int";
_row = 0;
_col = 0;
 //BA.debugLineNum = 514;BA.debugLine="row = matrows(0)";
_row = _matrows[(int)(0)];
 //BA.debugLineNum = 515;BA.debugLine="col = matcols(0)";
_col = _matcols[(int)(0)];
 //BA.debugLineNum = 516;BA.debugLine="mat.CopyM(row,col,a,c)";
_mat.CopyM(_row,_col,_a,_c);
 //BA.debugLineNum = 517;BA.debugLine="mat.CopyM(matrows(1),matcols(1),b,a)";
_mat.CopyM(_matrows[(int)(1)],_matcols[(int)(1)],_b,_a);
 //BA.debugLineNum = 518;BA.debugLine="mat.CopyM(row,col,c,b)";
_mat.CopyM(_row,_col,_c,_b);
 //BA.debugLineNum = 519;BA.debugLine="matrows(0) = matrows(1)";
_matrows[(int)(0)] = _matrows[(int)(1)];
 //BA.debugLineNum = 520;BA.debugLine="matcols(0) = matcols(1)";
_matcols[(int)(0)] = _matcols[(int)(1)];
 //BA.debugLineNum = 521;BA.debugLine="matrows(1) = row";
_matrows[(int)(1)] = _row;
 //BA.debugLineNum = 522;BA.debugLine="matcols(1) = col";
_matcols[(int)(1)] = _col;
 //BA.debugLineNum = 523;BA.debugLine="hideall(0)";
_hideall((int)(0));
 //BA.debugLineNum = 524;BA.debugLine="For i = 0 To matrows(0) -1";
{
final double step458 = 1;
final double limit458 = (int)(_matrows[(int)(0)]-1);
for (_i = (int)(0); (step458 > 0 && _i <= limit458) || (step458 < 0 && _i >= limit458); _i += step458) {
 //BA.debugLineNum = 525;BA.debugLine="For j = 0 To matcols(0)-1";
{
final double step459 = 1;
final double limit459 = (int)(_matcols[(int)(0)]-1);
for (_j = (int)(0); (step459 > 0 && _j <= limit459) || (step459 < 0 && _j >= limit459); _j += step459) {
 //BA.debugLineNum = 526;BA.debugLine="Aet(i,j).text = a(i,j)";
mostCurrent._aet[_i][_j].setText((Object)(_a[_i][_j]));
 //BA.debugLineNum = 527;BA.debugLine="Aet(i,j).Visible = True";
mostCurrent._aet[_i][_j].setVisible(anywheresoftware.b4a.keywords.Common.True);
 }
};
 }
};
 //BA.debugLineNum = 530;BA.debugLine="hideall(1)";
_hideall((int)(1));
 //BA.debugLineNum = 531;BA.debugLine="For i = 0 To matrows(1) -1";
{
final double step465 = 1;
final double limit465 = (int)(_matrows[(int)(1)]-1);
for (_i = (int)(0); (step465 > 0 && _i <= limit465) || (step465 < 0 && _i >= limit465); _i += step465) {
 //BA.debugLineNum = 532;BA.debugLine="For j = 0 To matcols(1)-1";
{
final double step466 = 1;
final double limit466 = (int)(_matcols[(int)(1)]-1);
for (_j = (int)(0); (step466 > 0 && _j <= limit466) || (step466 < 0 && _j >= limit466); _j += step466) {
 //BA.debugLineNum = 533;BA.debugLine="Bet(i,j).text = b(i,j)";
mostCurrent._bet[_i][_j].setText((Object)(_b[_i][_j]));
 //BA.debugLineNum = 534;BA.debugLine="Bet(i,j).Visible = True";
mostCurrent._bet[_i][_j].setVisible(anywheresoftware.b4a.keywords.Common.True);
 }
};
 }
};
 //BA.debugLineNum = 537;BA.debugLine="controlpanel.Left = 1600";
mostCurrent._controlpanel.setLeft((int)(1600));
 //BA.debugLineNum = 538;BA.debugLine="End Sub";
return "";
}
public static String  _transbtn_click() throws Exception{
 //BA.debugLineNum = 546;BA.debugLine="Sub transbtn_Click";
 //BA.debugLineNum = 547;BA.debugLine="If mark = 2 Then Return";
if (_mark==2) { 
if (true) return "";};
 //BA.debugLineNum = 548;BA.debugLine="mat.Transpose(matrows(mark), matcols(mark),M,c)";
_mat.Transpose(_matrows[_mark],_matcols[_mark],_m,_c);
 //BA.debugLineNum = 549;BA.debugLine="matrows(2) = matcols(mark)";
_matrows[(int)(2)] = _matcols[_mark];
 //BA.debugLineNum = 550;BA.debugLine="matcols(2) = matrows(mark)";
_matcols[(int)(2)] = _matrows[_mark];
 //BA.debugLineNum = 551;BA.debugLine="show_C";
_show_c();
 //BA.debugLineNum = 552;BA.debugLine="End Sub";
return "";
}
public static String  _view_click() throws Exception{
int _i = 0;
 //BA.debugLineNum = 278;BA.debugLine="Sub view_click";
 //BA.debugLineNum = 279;BA.debugLine="For i = 0 To 2";
{
final double step247 = 1;
final double limit247 = (int)(2);
for (_i = (int)(0); (step247 > 0 && _i <= limit247) || (step247 < 0 && _i >= limit247); _i += step247) {
 //BA.debugLineNum = 280;BA.debugLine="If i = mark Then MPanel(i).Left = 0 Else MPanel(i).Left = 1600";
if (_i==_mark) { 
mostCurrent._mpanel[_i].setLeft((int)(0));}
else {
mostCurrent._mpanel[_i].setLeft((int)(1600));};
 }
};
 //BA.debugLineNum = 282;BA.debugLine="controlpanel.Left = 1600";
mostCurrent._controlpanel.setLeft((int)(1600));
 //BA.debugLineNum = 283;BA.debugLine="End Sub";
return "";
}
}
